#****************************************************************************
#**
#**  File     :  /hook/lua/UserSync.lua
#**  Author(s):  Commander-Chronicles
#**
#**  Summary  :  Traitors Mod for Forged Alliance
#**
#****************************************************************************
local modPath = "Traitors"

local baseOnSync = OnSync

function OnSync()
	baseOnSync()
	
	# Sim to UI
	if Sync.PAssignment then
		import('/mods/'..modPath..'/modules/Traitors.lua').SetAssignment(Sync.PAssignment)
	end
	if Sync.pData then
		import('/mods/'..modPath..'/modules/Traitors.lua').SetPhantomData(Sync.pData)
	end
	if Sync.pStats then
		import('/mods/'..modPath..'/modules/Traitors.lua').SetPhantomStats(Sync.pStats)
	end
	if Sync.pEco then
		import('/mods/'..modPath..'/modules/Traitors.lua').SetPhantomEco(Sync.pEco)
	end	
	if Sync.pAlert then
		import('/mods/'..modPath..'/modules/Traitors.lua').ShowAlert(Sync.pAlert)
	end
	if Sync.pSkin then
		import('/mods/'..modPath..'/modules/Traitors.lua').SetLayout()
	end
	if Sync.pVote then
		import('/mods/'..modPath..'/modules/Traitors.lua').ShowPhantomVote()
	end
end
